## org.codehaus.groovy.runtime
Class DefaultMethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey
          org.codehaus.groovy.runtime.DefaultMethodKey

    public class DefaultMethodKey

extends MethodKey

A default implementation of MethodKey

Version:
  $Revision: 8106 $
Author:
  James Strachan

Constructor Summary
`DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)`

Method Summary
`int` `getParameterCount()`
`Class` `getParameterType(int index)`

Methods inherited from class org.codehaus.groovy.runtime.MethodKey
`createCopy, createHashCode, equals, equals, getName, getParamterTypes, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultMethodKey

    public DefaultMethodKey(Class sender,
                            String name,
                            Class[] parameterTypes,
                            boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

  Specified by:
    `getParameterCount` in class `MethodKey`

### getParameterType

    public Class getParameterType(int index)

  Specified by:
    `getParameterType` in class `MethodKey`

Copyright © 2003-2008 The Codehaus. All rights reserved.